Name: liquidwar
Version: 5.5.8
Release: alt1

Group: Games/Arcade
Summary: Liquid War is a unique multiplayer wargame
License: GPL
Url: http://www.ufoot.org/liquidwar/

Requires: %{get_dep liballegro}

Source: http://prdownloads.sourceforge.net/liquidwar/%name-%version.tar.bz2
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm

# Automatically added by buildreq on Wed Dec 25 2002
BuildRequires: XFree86-libs liballegro-devel-static python tetex-dvips tetex-latex

%description
Liquid War is a wargame. But it is different from common wargames.

When playing Liquid War, one has to eat one's opponent. There can be from
2 to 6 players. There are no weapons, the only thing you have to do is to
move a cursor in a 2-D battlefield. This cursor is followed by your army,
which is composed by a great many little fighters. Fighters are represented
by small colored squares. All the fighters who have the same color belong
to the same team. One very often controls several thousands fighters at the
same time. And when fighters from different teams meet, they eat each
other, it is as simple as that.

%prep
%setup -q

%build
autoconf
#export LD_LIBRARY_PATH=
#%%configure --datadir=%_gamesdatadir

%configure --datadir=%_datadir \
	    --disable-doc-txt \
	    --disable-doc-html \
	    --disable-doc-info \
	    --disable-doc-ps \
	    --disable-doc-pdf

%make_build -C doc
#%%make_build datadir=%_datadir/games 'CONFIG_OPTIONS = -DCONFIG_UNIX_CFG=\".liquidwarrc\" -DCONFIG_UNIX_DAT=\"%_datadir/%name/liquidwar.dat\" -DCONFIG_UNIX_MAP=\"%_datadir/%name/map/\" -DCONFIG_UNIX_TEX=\"%_datadir/%name/texture/\"'
#%%add_optflags -DCONFIG_UNIX_CFG=\".liquidwarrc\" -DCONFIG_UNIX_DAT=\"%_datadir/%name/liquidwar.dat\" -DCONFIG_UNIX_MAP=\"%_datadir/%name/map/\" -DCONFIG_UNIX_TEX=\"%_datadir/%name/texture/\"
#%make_build datadir=%_gamesdatadir ALCFLAGS="-I/usr/liclude -DCONFIG_UNIX_CFG=\".liquidwarrc\" -DCONFIG_UNIX_DAT=\"%_datadir/%name/liquidwar.dat\" -DCONFIG_UNIX_MAP=\"%_datadir/%name/map/\" -DCONFIG_UNIX_TEX=\"%_datadir/%name/texture/\""
%make_build \
	DATADIR=%_gamesdatadir/%name \
	ALCFLAGS="-I/usr/liclude \
	-DCONFIG_UNIX_CFG=\".liquidwarrc\" \
	-DCONFIG_UNIX_DAT=\"%_gamesdatadir/%name/liquidwar.dat\" \
	-DCONFIG_UNIX_MAP=\"%_gamesdatadir/%name/map/\" \
	-DCONFIG_UNIX_TEX=\"%_gamesdatadir/%name/texture/\""

%install
perl -pi -e 's#install_custom_texture install_icon install_gpl#install_custom_texture #' Makefile
%makeinstall gamedir=%buildroot/%_gamesbindir datadir=%buildroot/%_datadir docdir=%buildroot/%_docdir/%name-%version

rm -rf %buildroot/%_bindir

mkdir -p -m755 %buildroot/%_mandir/man6
cp doc/man/%{name}.man %buildroot/%_mandir/man6/%name.6
ln -s %name.6 %buildroot/%_mandir/man6/%name-server.6

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%name" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Liquid War"\
		  longtitle="An unique multiplayer wargame"
EOF

mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm


%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/*
%doc README
%_gamesdatadir/%name
%_menudir/*
%_mandir/man6/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Wed Dec 25 2002 Sergey V Turchin <zerg@altlinux.ru> 5.5.8-alt1
- new version

* Wed Oct 16 2002 Sergey V Turchin <zerg@altlinux.ru> 5.5.7-alt1
- new version
- build vith gcc3.2

* Fri Aug 16 2002 Sergey V Turchin <zerg@altlinux.ru> 5.5.6-alt1
- new version

* Thu Jun 13 2002 Sergey V Turchin <zerg@altlinux.ru> 5.5.0-alt1
- new version

* Fri Apr 12 2002 Sergey V Turchin <zerg@altlinux.ru> 5.4.5-alt1
- new version

* Thu Jan 31 2002 Sergey V Turchin <zerg@altlinux.ru> 5.4.3-alt1
- new version

* Thu Dec 20 2001 Sergey V Turchin <zerg@altlinux.ru> 5.4.2-alt2
- rebuild with new allegro

* Tue Aug 07 2001 Sergey V Turchin <zerg@altlinux.ru> 5.4.2-alt1
- new version

* Fri Jul 27 2001 Sergey V Turchin <zerg@altlinux.ru> 5.4.0-2mdk
- build for ALT

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-2mdk
- i suck

* Tue Jul 10 2001 Yves Duret <yduret@mandrakesoft.com> 5.4.0-1mdk
- first mandrake version (games found by our pambon)
